/* Nintendulator - Win32 NES emulator written in C
 * Copyright (C) 2002-2008 QMT Productions
 *
 * $URL: https://nintendulator.svn.sourceforge.net/svnroot/nintendulator/nintendulator/trunk/src/States.h $
 * $Id: States.h 530 2008-08-04 00:14:17Z Quietust $
 */

#ifndef STATES_H
#define STATES_H

#define	STATES_VERSION	"0965"
#define	STATES_BETA	"0965"
#define	STATES_PREV	"0960"

struct tStates
{
	TCHAR BaseFilename[MAX_PATH];
	int SelSlot;
};

extern	struct	tStates	States;

void	States_Init (void);
void	States_SetFilename (TCHAR *);
void	States_SetSlot (int Slot);
int	States_SaveData (FILE *);
BOOL	States_LoadData (FILE *, int);
void	States_SaveState (void);
void	States_LoadState (void);

#endif	/* !STATES_H */
